<div class="app-modal access-manager-panel">
  <div class="app-modal-header bg-dark">Access manager</div>
  <div class="app-modal-body">
    <!-- Owner -->
    <label class="form-label fw-semibold">Owner: <i class="fa-solid fa-circle-info ms-2 role-instructions-btn" data-bs-toggle="modal" data-bs-target="#roleInstructionsModal"></i></label>
    {% if transfer_request and user_role == 'owner' %}
      <div class="alert alert-warning mb-2" role="alert">
        <i class="fa-solid fa-triangle-exclamation me-1"></i>
        There is a pending ownership transfer request for {{ application.descriptive_name }} to <strong>{{ transfer_request.receiver.username }}</strong>.
        This request will expire in {{ transfer_request.days_left }} days.
        <div>
          <a href="{% url 'access:cancel_ownership_transfer_request' app_id=application.identifier %}?active_tab=manage" class="btn btn-warning btn-sm mt-2">Cancel transfer</a>
        </div>
      </div>
    {% endif %}
    <div class="user-card">
      <div>
        <img src="{{ application.owner.profile.get_image }}" width="40" height="40" class="rounded-circle" alt="profile image">
      </div>
      <div class="flex-grow-1">
        <div class="fw-semibold">{% if application.owner.first_name %}{{ application.owner.first_name }} {{ application.owner.last_name }}{% else %}{{ application.owner.username }}{% endif %}</div>
        <div class="text-black-50">{{ application.owner.username }}</div>
      </div>
    </div>

    <!-- Editors -->
    <label class="form-label fw-semibold mt-4">Editors: <i class="fa-solid fa-circle-info ms-2 role-instructions-btn" data-bs-toggle="modal" data-bs-target="#roleInstructionsModal"></i></label>
    {% if editors|length > 0 %}
      <div class="d-flex flex-row align-items-center gap-2 flex-wrap">
        {% for editor in editors %}
          <div class="user-card">
            <div>
              <img src="{{ editor.profile.get_image }}" width="40" height="40" class="rounded-circle" alt="profile image">
            </div>
            <div class="flex-grow-1">
              <div class="fw-semibold">{% if editor.first_name %}{{ editor.first_name }} {{ editor.last_name }}{% else %}{{ editor.username }}{% endif %}</div>
              <div class="text-black-50">{{ editor.username }}</div>
            </div>
          </div>
        {% endfor %}
      </div>
    {% else %}
      <p class="text-black-50">No editors</p>
    {% endif %}

    <!-- Viewers -->
    <label class="form-label fw-semibold mt-4">Viewers: <i class="fa-solid fa-circle-info ms-2 role-instructions-btn" data-bs-toggle="modal" data-bs-target="#roleInstructionsModal"></i></label>
    {% if viewers|length > 0 %}
      <div class="d-flex flex-row gap-2 flex-wrap">
        {% for viewer in viewers %}
          <div class="user-card">
            <div>
              <img src="{{ viewer.profile.get_image }}" width="40" height="40" class="rounded-circle" alt="profile image">
            </div>
            <div class="flex-grow-1">
              <div class="fw-semibold">{% if viewer.first_name %}{{ viewer.first_name }} {{ viewer.last_name }}{% else %}{{ viewer.username }}{% endif %}</div>
              <div class="text-black-50">{{ viewer.username }}</div>
            </div>
          </div>
        {% endfor %}
      </div>
    {% else %}
      <p class="text-black-50">No viewers</p>
    {% endif %}

    {% if user_role == 'owner' %}
      <!-- Access manager modal -->
      {% include 'modals/rolegroup_manager.html' %}

      <!-- Modal warning user about the consequences of ownership transferring action -->
      {% include 'modals/transfer_ownership_warning.html' %}
    {% endif %}

    {% if user_role == 'owner' %}
      <div class="app-modal-btn-container mt-5">
        <button type="button" class="btn btn-outline-primary btn-sm" data-bs-toggle="modal" data-bs-target="#accessManagerModal">Edit</button>
      </div>
    {% endif %}
  </div>
</div>
